%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		hidapi
Version:	0.11.2
Release:	%mkrel 1
Summary:	Library for communicating with USB and Bluetooth HID devices

Group:		Communications/Radio
License:	GPLv3
URL:		http://www.signal11.us/oss/hidapi/
Source0:	https://github.com/signal11/%{name}/releases/tag/%{name}-%{version}.tar.xz

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	m4
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(libusb)

%description
HIDAPI is a multi-platform library which allows an application to interface
with USB and Bluetooth HID-class devices on Windows, Linux, FreeBSD and Mac OS
X.  On Linux, either the hidraw or the libusb back-end can be used. There are
trade-offs and the functionality supported is slightly different.

%package -n %{libname}
Summary:	Library files for hidapi
Group:		System/Libraries

%description -n %{libname}
This package contains library files for hidapi which provides access to
USB and Bluetooth HID-class devices.

%package -n %{devname}
Summary:	Development files for hidapi
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development files for hidapi which provides access to
USB and Bluetooth HID-class devices.

%prep
%setup -qn hidapi-hidapi-%{version}
%apply_patches

%build
autoreconf --install --verbose --force
%configure2_5x --disable-testgui --disable-static
%make V=1

%install
%makeinstall_std DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_defaultdocdir}/%{name}

%files -n %{libname}
%{_libdir}/libhidapi-*.so.%{major}*

%files -n %{devname}
%{_includedir}/hidapi
%{_libdir}/libhidapi-hidraw.so
%{_libdir}/libhidapi-libusb.so
%{_libdir}/pkgconfig/hidapi-hidraw.pc
%{_libdir}/pkgconfig/hidapi-libusb.pc


%changelog
* Sat Jun 26 2022 tex - 0.11.2-1pclos2022
- new version

* Fri Jan 25 2019 tex 0.8.0-0.rc1pclos2019
- import from france
